
/*
   This program installs the tasker, does a snapshot dump, and exits.
   It is useful if you want to peek into a resident copy of CTask.

   Program call is
      SNAPxx      - Dump to STDOUT
      SNAPxx M    - Dump to Mono screen
      SNAPxx C    - Dump to Colour screen
*/

#include <stdlib.h>
#include <ctype.h>

#include "tsk.h"
#include "tsksup.h"


int main (int argc, char **argv)
{
   int c;

   install_tasker (0, 0, IFL_STD, "Snap");
   init_conout ();
   c = (argc < 2) ? 'x' : tolower (argv [1][0]);

   switch (c)
      {
      case 'm': screensnap ((char far *)0xb0000000L, 25); break;
      case 'c': screensnap ((char far *)0xb8000000L, 60); break;
      default:  snapshot (stdout); break;
      }
   end_conout ();
   remove_tasker ();
   return 0;
}

