;
;	This file references all CTask kernel files.
;	It is used to check if any routines from the standard
;	run-time library are referenced.
;	The kernel is only model-independent if no externals are
;	unsatisfied when this file is linked with no default libraries.
;
	.model	large
	public	__acrtused
	public	_free
	public	_malloc
	public	__psp
;
__acrtused	=	9876h
;
	include	tsk.mac
;
	extrn	_install_tasker: far	; tskmain.c (references tsktimer.c)
	extrn	_create_pipe: far	; tskpip.c
	extrn	_create_wpipe: far	; tskwpip.c
	extrn	_create_counter: far	; tskcnt.c
	extrn	_create_resource: far	; tskrsc.c
	extrn	_create_flag: far	; tskflg.c
	extrn	_create_buffer: far	; tskbuf.c
	extrn	_create_mailbox: far	; tskmsg.c
	extrn	_v24_install: far	; tsksio.c
	extrn	_prt_install: far	; tskprt.c
;
	.stack	128
;
	.data?
__psp	dw	?
;
	.tsk_code
;
begin:
	mov	ax,4c01h
	int	21h			; in case it's accidentally called
;
_free:
_malloc:
	call	_install_tasker
	call	_create_pipe
	call	_create_wpipe
	call	_create_counter
	call	_create_resource
	call	_create_flag
	call	_create_buffer
	call	_create_mailbox
	call	_v24_install
	call	_prt_install
;
	.tsk_ecode
	end	begin

