#
#  --- Version 2.0 89-12-23 23:44 ---
# 
#  CTask kernel Make-File for Microsoft make.
#
#    "reqopt" contains required options, and shouldn't normally be changed.
#    "optopt" lists optional optimization options, and may be changed.
#
reqopt=/c /AL /Gs /Zp1 /Zl /NTCTASK_TEXT 
optopt=/Oailt /W3

.c.obj:
   cl $(reqopt) $(optopt) $*.c
   lib ctaskms.lib -+$*.obj;

.asm.obj:
   masm /W2 /MX $*;
   lib ctaskms.lib -+$*.obj;

tskmain.obj:   tskmain.c  tsk.h tsklocal.h tskconf.h

tsktimer.obj:  tsktimer.c tsk.h tsklocal.h tskconf.h

tsksub.obj:    tsksub.c   tsk.h tsklocal.h tskconf.h

tskflg.obj:    tskflg.c   tsk.h tsklocal.h tskconf.h

tskcnt.obj:    tskcnt.c   tsk.h tsklocal.h tskconf.h

tskrsc.obj:    tskrsc.c   tsk.h tsklocal.h tskconf.h

tskmsg.obj:    tskmsg.c   tsk.h tsklocal.h tskconf.h

tskpip.obj:    tskpip.c   tsk.h tsklocal.h tskconf.h

tskwpip.obj:   tskwpip.c  tsk.h tsklocal.h tskconf.h

tskbuf.obj:    tskbuf.c   tsk.h tsklocal.h tskconf.h

tsksio.obj:    tsksio.c   tsk.h sio.h tskconf.h

tskprt.obj:    tskprt.c   tsk.h prt.h tskconf.h

tskasm.obj:    tskasm.asm   tsk.mac

tskque.obj:    tskque.asm   tsk.mac

tsktim.obj:    tsktim.asm   tsk.mac

tskdos.obj:    tskdos.asm   tsk.mac

tskbios.obj:   tskbios.asm  tsk.mac

tskint17.obj:  tskint17.asm tsk.mac

tskkbd.obj:    tskkbd.asm   tsk.mac

tsksioi.obj:   tsksioi.asm  tsk.mac

tskprti.obj:   tskprti.asm  tsk.mac

tskstck.obj:   tskstck.asm  tsk.mac


