;
;	--- Version 2.0 89-12-13 17:58 ---
;
;	CTask - Printer interrupt handler (IBM specific)
;
;	Public Domain Software written by
;		Thomas Wagner
;		Patschkauer Weg 31
;		D-1000 Berlin 33
;		West Germany
;
;	This file is new with version 1.2.
;
;	To avoid stack overflows while processing printer interrupts in
;	the tskprt module, all printer interrupts are routed through the
;	"envelope" routines defined here.
;
	name	tskprti
	.model	large,c
;
	include	tsk.mac
;
	public	tskprt_int0
	public	tskprt_int1
	public	tskprt_int2
;
prtint	macro	num
;
tskprt_int&num	proc	far
        call    tsk_switch_stack
	mov	ax,num
	push	ax
	call	tsk_prt_int
	add	sp,2
        cli
	mov	al,20h
	out	20h,al
	iret
;
tskprt_int&num	endp
;
	endm
;
;
	.tsk_code
;
        extrn   tsk_switch_stack: near
	extrn	tsk_prt_int: near
;
	prtint	0
	prtint	1
	prtint	2
;
	.tsk_ecode
	end


